net.sf.jasperreports.components.map

## Class StandardMarkerProperty

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardMarkerProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ItemProperty, MarkerProperty, JRChangeEventsSupport, JRCloneable

  Deprecated.
  Replaced by `StandardItemProperty`.

      public class StandardMarkerProperty
      extends java.lang.Object
      implements MarkerProperty, JRChangeEventsSupport, java.io.Serializable

  Version:
    $Id: StandardMarkerProperty.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_NAME` Deprecated.
    `static java.lang.String` | `PROPERTY_VALUE` Deprecated.
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMarkerProperty()` Deprecated.
    `StandardMarkerProperty(java.lang.String name, java.lang.String value, JRExpression valueExpression)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Deprecated.
    `JRPropertyChangeSupport` | `getEventSupport()` Deprecated. Returns the property change support object for this instance.
    `java.lang.String` | `getName()` Deprecated. Returns the name of the item property (required).
    `java.lang.String` | `getValue()` Deprecated. Returns the `value` attribute of the item property.
    `JRExpression` | `getValueExpression()` Deprecated. Returns a `JRExpression` representing the value object for the item property.
    `void` | `setName(java.lang.String name)` Deprecated.
    `void` | `setValue(java.lang.String value)` Deprecated.
    `void` | `setValueExpression(JRExpression valueExpression)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE

          public static final java.lang.String PROPERTY_VALUE

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardMarkerProperty

          public StandardMarkerProperty()

      Deprecated.

    - #### StandardMarkerProperty

          public StandardMarkerProperty(java.lang.String name,
                                java.lang.String value,
                                JRExpression valueExpression)

      Deprecated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Deprecated.
      Description copied from interface: `ItemProperty`
      Returns the name of the item property (required).
      Specified by:
        `getName` in interface `ItemProperty`
      Returns:
        the property name

    - #### setName

          public void setName(java.lang.String name)

      Deprecated.

    - #### getValue

          public java.lang.String getValue()

      Deprecated.
      Description copied from interface: `ItemProperty`
      Returns the `value` attribute of the item property. Only `java.lang.String` values are allowed for this attribute.
      Specified by:
        `getValue` in interface `ItemProperty`
      Returns:
        the `value` attribute

    - #### setValue

          public void setValue(java.lang.String value)

      Deprecated.

    - #### getValueExpression

          public JRExpression getValueExpression()

      Deprecated.
      Description copied from interface: `ItemProperty`
      Returns a `JRExpression` representing the value object for the item property. If present, it overrides the value given by the `value` attribute.
      Specified by:
        `getValueExpression` in interface `ItemProperty`
      Returns:
        the value expression

    - #### setValueExpression

          public void setValueExpression(JRExpression valueExpression)

      Deprecated.

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Deprecated.
      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Deprecated.
      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com